cURL
curl "https://api.neuraldraft.io/v1/orders?status=paid" \
-H "Authorization: Bearer ndsk_live_yourkey"const orders = await nd.orders.list({ status: "paid" });
orders = requests.get("https://api.neuraldraft.io/v1/orders",
params={"status":"paid"},
headers={"Authorization": f"Bearer {key}"}).json()
<?php
$orders = json_decode((string) $client->get('orders', [
'query' => ['status' => 'paid'],
'headers' => ['Authorization' => 'Bearer '.$key],
])->getBody(), true);
{
"data": [
{
"id": 901,
"order_number": "ND-1745014102-A8F2",
"customer_name": "Anna Schmidt",
"customer_email": "anna@example.com",
"status": "paid",
"payment_status": "paid",
"subtotal": 2999,
"tax_amount": 600,
"shipping_amount": 350,
"discount_amount": 0,
"total": 3949,
"currency": "gbp",
"items": [
{
"product_id": 32,
"name": "Cork yoga block (pair)",
"sku": "ND-CORK-PAIR",
"quantity": 1,
"unit_price": 2999,
"total": 2999
}
],
"paid_at": "2026-04-18T13:21:18Z",
"created_at": "2026-04-18T13:20:02Z"
}
],
"meta": {
"page": 1,
"page_size": 20,
"total": 14
}
}{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}Commerce
List orders
GET
/
orders
cURL
curl "https://api.neuraldraft.io/v1/orders?status=paid" \
-H "Authorization: Bearer ndsk_live_yourkey"const orders = await nd.orders.list({ status: "paid" });
orders = requests.get("https://api.neuraldraft.io/v1/orders",
params={"status":"paid"},
headers={"Authorization": f"Bearer {key}"}).json()
<?php
$orders = json_decode((string) $client->get('orders', [
'query' => ['status' => 'paid'],
'headers' => ['Authorization' => 'Bearer '.$key],
])->getBody(), true);
{
"data": [
{
"id": 901,
"order_number": "ND-1745014102-A8F2",
"customer_name": "Anna Schmidt",
"customer_email": "anna@example.com",
"status": "paid",
"payment_status": "paid",
"subtotal": 2999,
"tax_amount": 600,
"shipping_amount": 350,
"discount_amount": 0,
"total": 3949,
"currency": "gbp",
"items": [
{
"product_id": 32,
"name": "Cork yoga block (pair)",
"sku": "ND-CORK-PAIR",
"quantity": 1,
"unit_price": 2999,
"total": 2999
}
],
"paid_at": "2026-04-18T13:21:18Z",
"created_at": "2026-04-18T13:20:02Z"
}
],
"meta": {
"page": 1,
"page_size": 20,
"total": 14
}
}{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}Authorizations
Project API key. Pass as Authorization: Bearer ndsk_live_.... Manage
keys via /projects/me/api-keys. Test-mode keys use
the ndsk_test_ prefix.
Query Parameters
Available options:
pending, paid, processing, shipped, delivered, cancelled, refunded Available options:
unpaid, paid, partially_refunded, refunded, failed 1-based page number.
Required range:
x >= 1Items per page (max 100).
Required range:
1 <= x <= 100